Missing information about limits in listing projects
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

There is no information in the documentation (Rest_Projects) that only 25 projects will be returned on GET /projects.json without

'limit' parameter, which also isn't mentioned as an available parameter.

History

#1 - 2017-02-07 17:30 - Holger Just

This is described in the general API documentation at Rest API. Pagination is not specifically mentioned in the API docs for projects since the concept

applies to about all lists in Redmine.

#2 - 2017-03-07 06:47 - Toshi MARUYAMA

- Description updated

#3 - 2017-03-07 06:50 - Toshi MARUYAMA

- Status changed from New to Closed
https://www.redmine.org/projects/redmine/wiki/Rest_Projects
https://www.redmine.org/projects/redmine/wiki/Rest_API#Collection-resources-and-pagination
